#ifndef CONFIG_H
#define CONFIG_H

#include <glob.h>
#include <stdbool.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/stat.h>

typedef struct {
	char *database;
	char *localConfig; // Project Specific
	char *userConfig; // User Specific
	unsigned int port;
} Config;

static bool path_exists(const char *path);
static char* resolveTilde(const char *path);
Config* configDefaults();
char* getConfigDir();
char* getDefaultUserConfigLoc();

#endif /* ifndef CONFIG_H */
